from django.db.models import Q
from django.shortcuts import render
from django.urls import reverse_lazy

from ..models import RecurrentImport

from django.utils.translation import gettext_lazy as _

def thank_you(request):
    return render(request, "agenda_culturel/thank_you.html")


def mentions_legales(request):
    context = {
        "title": "Mentions légales",
        "static_content": "mentions_legales",
        "url_path": reverse_lazy("mentions_legales"),
    }
    return render(request, "agenda_culturel/page-single.html", context)


def about(request):
    rimports = (
        RecurrentImport.objects.filter(~Q(recurrence=RecurrentImport.RECURRENCE.NEVER))
        .order_by("name__unaccent")
        .all()
    )
    context = {
        "title": "À propos",
        "static_content": "about",
        "url_path": reverse_lazy("about"),
        "rimports": rimports,
    }
    return render(request, "agenda_culturel/page-rimports-list.html", context)


def moderation_rules(request):
    context = {
        "title": _("Moderation rules"),
        "static_content": "moderation_rules",
        "url_path": reverse_lazy("moderation_rules"),
    }
    return render(request, "agenda_culturel/page-single.html", context)


def import_requirements(request):
    context = {
        "title": _("Import requirements"),
        "static_content": "import_requirements",
        "url_path": reverse_lazy("import_requirements"),
    }
    return render(request, "agenda_culturel/page-single.html", context)